rem 
rem $Header: case.sql,v 6.1 88/07/14 14:02:41 mho Exp $ case.sql 
rem 
rem
rem    SQL*Loader Demo :
rem       Build EMP and DEPT tables for Case 1 - Case 5
rem

grant connect,resource to scott identified by tiger;
connect scott/tiger

#DOC
      Drop existing EMP and create a new one to start from scratch.
#
drop table emp;
create table emp
   (empno    number(4) not null,
    ename    char(10),
    job      char(9),
    mgr      number(4),
    hiredate date,
    sal      number(7,2),
    comm     number(7,2),
    deptno   number(2)); 

#DOC
      Drop existing DEPT and create a new one to start from scratch.
#
drop table dept;
create table dept
   (deptno   number(2),
    dname    char(14),
    loc      char(13));


